#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    long long n, l;
    cin >> n >> l;
    vector<long long> a(n);
    for(int i = 0; i < n; i++){
        cin >> a[i];
    }
    for(int i = 0; i < n; i++){
        if(l >= a[i]){
            cout << i+1 << "\n";
            return 0;
        }
    }
    cout << "-1\n";
    return 0;
}